v2.0.0
Public Member Functions
powman_hw_t Struct Reference

## Public Member Functions
| _REG_ (POWMAN_BADPASSWD_OFFSET) io_rw_32 badpasswd
| _REG_ (POWMAN_VREG_CTRL_OFFSET) io_rw_32 vreg_ctrl
| _REG_ (POWMAN_VREG_STS_OFFSET) io_ro_32 vreg_sts
| _REG_ (POWMAN_VREG_OFFSET) io_rw_32 vreg
| _REG_ (POWMAN_VREG_LP_ENTRY_OFFSET) io_rw_32 vreg_lp_entry
| _REG_ (POWMAN_VREG_LP_EXIT_OFFSET) io_rw_32 vreg_lp_exit
| _REG_ (POWMAN_BOD_CTRL_OFFSET) io_rw_32 bod_ctrl
| _REG_ (POWMAN_BOD_OFFSET) io_rw_32 bod
| _REG_ (POWMAN_BOD_LP_ENTRY_OFFSET) io_rw_32 bod_lp_entry
| _REG_ (POWMAN_BOD_LP_EXIT_OFFSET) io_rw_32 bod_lp_exit
| _REG_ (POWMAN_LPOSC_OFFSET) io_rw_32 lposc
| _REG_ (POWMAN_CHIP_RESET_OFFSET) io_rw_32 chip_reset
| _REG_ (POWMAN_WDSEL_OFFSET) io_rw_32 wdsel
| _REG_ (POWMAN_SEQ_CFG_OFFSET) io_rw_32 seq_cfg
| _REG_ (POWMAN_STATE_OFFSET) io_rw_32 state
| _REG_ (POWMAN_POW_FASTDIV_OFFSET) io_rw_32 pow_fastdiv
| _REG_ (POWMAN_POW_DELAY_OFFSET) io_rw_32 pow_delay
| _REG_ (POWMAN_EXT_CTRL0_OFFSET) io_rw_32 ext_ctrl[2]
| _REG_ (POWMAN_EXT_TIME_REF_OFFSET) io_rw_32 ext_time_ref
| _REG_ (POWMAN_LPOSC_FREQ_KHZ_INT_OFFSET) io_rw_32 lposc_freq_khz_int
| _REG_ (POWMAN_LPOSC_FREQ_KHZ_FRAC_OFFSET) io_rw_32 lposc_freq_khz_frac
| _REG_ (POWMAN_XOSC_FREQ_KHZ_INT_OFFSET) io_rw_32 xosc_freq_khz_int
| _REG_ (POWMAN_XOSC_FREQ_KHZ_FRAC_OFFSET) io_rw_32 xosc_freq_khz_frac
| _REG_ (POWMAN_SET_TIME_63TO48_OFFSET) io_rw_32 set_time_63to48
| _REG_ (POWMAN_SET_TIME_47TO32_OFFSET) io_rw_32 set_time_47to32
| _REG_ (POWMAN_SET_TIME_31TO16_OFFSET) io_rw_32 set_time_31to16
| _REG_ (POWMAN_SET_TIME_15TO0_OFFSET) io_rw_32 set_time_15to0
| _REG_ (POWMAN_READ_TIME_UPPER_OFFSET) io_ro_32 read_time_upper
| _REG_ (POWMAN_READ_TIME_LOWER_OFFSET) io_ro_32 read_time_lower
| _REG_ (POWMAN_ALARM_TIME_63TO48_OFFSET) io_rw_32 alarm_time_63to48
| _REG_ (POWMAN_ALARM_TIME_47TO32_OFFSET) io_rw_32 alarm_time_47to32
| _REG_ (POWMAN_ALARM_TIME_31TO16_OFFSET) io_rw_32 alarm_time_31to16
| _REG_ (POWMAN_ALARM_TIME_15TO0_OFFSET) io_rw_32 alarm_time_15to0
| _REG_ (POWMAN_TIMER_OFFSET) io_rw_32 timer
| _REG_ (POWMAN_PWRUP0_OFFSET) io_rw_32 pwrup[4]
| _REG_ (POWMAN_CURRENT_PWRUP_REQ_OFFSET) io_ro_32 current_pwrup_req
| _REG_ (POWMAN_LAST_SWCORE_PWRUP_OFFSET) io_ro_32 last_swcore_pwrup
| _REG_ (POWMAN_DBG_PWRCFG_OFFSET) io_rw_32 dbg_pwrcfg
| _REG_ (POWMAN_BOOTDIS_OFFSET) io_rw_32 bootdis
| _REG_ (POWMAN_DBGCONFIG_OFFSET) io_rw_32 dbgconfig
| _REG_ (POWMAN_SCRATCH0_OFFSET) io_rw_32 scratch[8]
| _REG_ (POWMAN_BOOT0_OFFSET) io_rw_32 boot[4]
| _REG_ (POWMAN_INTR_OFFSET) io_rw_32 intr
| _REG_ (POWMAN_INTE_OFFSET) io_rw_32 inte
| _REG_ (POWMAN_INTF_OFFSET) io_rw_32 intf
| _REG_ (POWMAN_INTS_OFFSET) io_ro_32 ints

The documentation for this struct was generated from the following file:

- include/hardware/structs/powman.h